Create directories

Creates one or more directories. Each directory specifies the infrastructure it belongs to and the connection details for the domain's primary domain controller.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Note: In SaaS deployments, relayId is required.

Requires the Create permission on the Domains entity (create:directory). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Validates the POST /directory request

number
required
0 to 2147483647

Specifies the ID of the infrastructure (forest) that the directory belongs to.

string
required

Specifies the name of the domain.

string
required

Specifies the IP address or hostname of the domain's primary domain controller.

string
enum

Specifies the type of directory.

Allowed:
integer

Specifies the LDAP port of the primary domain controller.

integer

Specifies the global catalog port of the primary domain controller.

integer

Specifies the SMB port of the primary domain controller.

string
required

Specifies the fully qualified domain name (FQDN) of the domain.

boolean

Specifies whether to collect privileged data from the domain for advanced security analysis.

Specifies the ID of the relay that connects to the domain controller. Required in SaaS deployments.

Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json